import { Hono } from 'hono';
import SiteData from './model/SiteData';
import Layout from './frontend/layout';

const app = new Hono();

app.get('/', (c) => {
  const siteData: SiteData = {
    title: "Slovocast",
    description: "A no-nonsense podcast hosting platform."
  };

  const layout = (
    <Layout siteData={siteData}>
      <main>
        <h1>Slovocast</h1>
      </main>
    </Layout>
  );
 
  return c.html(layout);
});

export default app;
