import { Hono } from 'hono';
import { Context } from 'hono';

type SiteConfig = {
  name: string,
  description: string,
  baseUrl: string
};

const config: SiteConfig = {
  name: "Slovocast",
  description: "A no-nonesense Podcast hosting platform.",
  baseUrl: "dev.slovocast.com"
};

const configMiddleware = new Hono();
configMiddleware.use((c: Context, next) => {
  c.set('config', config);
  next();
});

export SiteConfig, configMiddleware;
